> For the complete documentation index, see [llms.txt](https://docs.inabit.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inabit.com/api-reference/introduction-to-graphql/mutations.md).

# Mutations

### About Mutations

In GraphQL, mutations are operations that modify data on the server. The mutation type in the schema defines GraphQL operations that create, update, or delete data.

For more information on mutations, refer to the "Forming Calls with GraphQL" section below.

### Performing Mutations in GraphQL

Unlike queries, mutations are used to change data on the server. Similar to queries, mutations specify the data you want to operate on, but they also include the data you want to modify or create.

**Mutations are structured like this:**

```graphql
mutation {
  MUTATION-NAME(INPUT-OBJECT) {
    RETURNED-FIELDS
  }
}
```

For an actual example, see "[Example Mutation](/api-reference/introduction-to-graphql/mutations/example-mutation.md)".

To interact with your GraphQL API and perform mutations, you need to follow a structured format. Here's how you can form mutation calls:

1. **Start with the `mutation` keyword**: This indicates that you're performing a mutation operation.
2. **Provide the mutation name**: Specify the name of the mutation you want to execute.
3. **Pass input data**: If the mutation requires input, provide it as an input object within the mutation call.
4. **Define returned fields**: Specify the fields you want to retrieve as part of the mutation response.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.inabit.com/api-reference/introduction-to-graphql/mutations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
